Difference between revisions of "Gramps 4.0 Wiki Manual - What's new?"

From Gramps
Jump to: navigation, search
m (Visible changes to the core: some)
(Data Model)
(43 intermediate revisions by 3 users not shown)
Line 5: Line 5:
 
{{languages|Gramps 4.0 Wiki Manual - What's new?}}
 
{{languages|Gramps 4.0 Wiki Manual - What's new?}}
  
This section gives an overview of changes since Gramps version 3.4. These changes are also detailed later in this manual. Users of Gramps version 3.4 are encouraged to review this section to be sure to take advantage of these new features.
+
This section gives an overview of changes since Gramps version 3.4. These changes are also detailed later in this manual. Users of Gramps upgrading from version 3.4 are encouraged to review this section to be sure to take advantage of these new features when they start using version 4.0.
  
 
= Before you upgrade =  
 
= Before you upgrade =  
  
{{man warn| Warning |Creating an archive alone to safeguard your data might not be appropriate before upgrading. In the unlikely event that Gramps 4.0 corrupts your database, it could also corrupt the archive. An export as outlined in this section is recommended.}}
+
{{man warn| Warning |Creating an archive alone to safeguard your data might not be appropriate before upgrading. In the unlikely event that Gramps 4.0 corrupts your database, it could also corrupt the archive. An backup of your data as outlined in this section is recommended.}}
  
 
Before you upgrade, make sure your family tree data is secure. The best way to do this is:
 
Before you upgrade, make sure your family tree data is secure. The best way to do this is:
 
# Start Gramps 3.4
 
# Start Gramps 3.4
 
# Open your family tree
 
# Open your family tree
# Export the family tree to the ''gramps xml'' format or the ''gramps xml package'' format (which includes your photographs and other media files associated with your family tree data). Export your tree via menu {{man menu|Family Trees->Backup...}}.
+
# Back up the family tree to the ''gramps xml'' format or the ''gramps xml package'' format (the ''gramps xml package'' includes your photographs and other media files associated with your family tree data). Backup your tree via menu {{man menu|Family Trees->Make Backup...}}.
 
# Close this family tree and repeat the above steps for any other family trees you have
 
# Close this family tree and repeat the above steps for any other family trees you have
 
# Keep the resulting file(s) in a safe place
 
# Keep the resulting file(s) in a safe place
Line 21: Line 21:
  
  
After properly safeguarding your data, proceed to install Gramps 4.0. Use your operating system's regular installation process to do this. It is also best to uninstall Gramps 3.4 before installing Gramps 4.0, or make sure you install Gramps 4.0 in a different location.
+
After properly safeguarding your data, proceed to install Gramps 4.0. Using your operating system's regular installation process to do this will in most cases ensure that the new Gramps 4.0 installation will not clash with your older version of Gramps. However, it may be safer to uninstall Gramps 3.4 before installing Gramps 4.0, or make sure you install Gramps 4.0 in a different location. This is always necessary if you are installing from the source code. For more information on installing Gramps 4.0, please see [[Download|Downloading the latest Gramps]]
  
After you install Gramps 4.0, you can open your existing family trees and continue working. In case of problems (e.g., after a complete system upgrade), use the backup file(s) created above to recreate your family tree(s).
+
After you install Gramps 4.0, you can open your existing family trees and continue working. In case of problems (e.g., after a complete system upgrade), import the backup file(s) created above to recreate your family tree(s).
  
 
{{man warn| Warning |Once you open a family tree in a newer version of Gramps '''or''' using a newer operating system, you generally should not try to open that database using an older version again. As always, the ''gramps xml'' format is the format to use for the interchange of your data in such cases. There are tools to repair broken databases, but they are for expert users, so avoid needing them by following the steps above before you upgrade your OS or Gramps.}}
 
{{man warn| Warning |Once you open a family tree in a newer version of Gramps '''or''' using a newer operating system, you generally should not try to open that database using an older version again. As always, the ''gramps xml'' format is the format to use for the interchange of your data in such cases. There are tools to repair broken databases, but they are for expert users, so avoid needing them by following the steps above before you upgrade your OS or Gramps.}}
Line 38: Line 38:
 
== New Look and Feel ==
 
== New Look and Feel ==
  
Gramps now uses GTK 3 to create the interface, so you need to set a GTK theme with the GTK theme switcher that supports GTK 3. If Gramps looks ugly after installation, this is because you use an old GTK Theme. Try out some GTK 3 themes to see which one gives you a beautifull Gramps experience.
+
Gramps now uses GTK 3 to create the interface, so you need to set a GTK theme with the GTK theme switcher that supports GTK 3. If Gramps looks ugly after installation, this is because you use an old GTK Theme. Try out some GTK 3 themes to see which one gives you a beautifull Gramps experience. See [http://gramps-project.org/2012/08/status-gtk-3-for-gramps-4-0/ status GTK 3 for Gramps 4.0].
  
 
== Data Model ==
 
== Data Model ==
There are no changes to the data model. An .gramps xml file generated by Gramps 3.4 is identical to the one of Gramps 4.0
+
There are no changes to the data model. A .gramps xml file generated by Gramps 3.4 is identical to one generated by Gramps 4.0
  
= Plugins changes =
+
See [[Database_Formats#Detailed_Changes]] for more details on internal database.
  
Everything about the plugins: import/export, gramplets, views, reports, tools.
+
==Navigator modes==
  
 +
[[Image:Viewing_mode_selection.png|left|thumb|300px|Category navigator mode]]
  
=== NarrativeWeb ===
+
[[Image:Drop-Down.png|right|thumb|300px|Drop-Down navigator mode]]
  
A huge restructuring happened for narrative website (these changes might also happen in a point update on 3.4). It should overall be much more stable
+
[[Image:Expander.png|left|thumb|300px|Expander navigator mode]]
 +
 
 +
If there is more than one navigator mode installed, you can choose the navigator mode with the drop down.
 +
The navigator modes are "Category", "Drop-Down" and "Expander".
 +
 
 +
{{-}}
 +
 
 +
==New wizards, help and bug report dialogs==
 +
 
 +
[[Image:ExportAssistantStart-40.png|left|thumb|300px|Export Assistant: Start screen]]
 +
 
 +
[[Image:ExportAssistantChoose-40.png|right|thumb|300px|Export Assistant: Choose the output format screen]]
 +
 
 +
Exporter, Help and Bug report dialogs have been rewritten according to Gtk3 migration.
 +
 
 +
{{-}}
 +
 
 +
==Colors dialog==
 +
 
 +
[[File:EditPreferencesColors-40.png|right|thumb|350px|Color Preferences]]
 +
 
 +
A new section on Preferences dialog, which let you set the colors used for boxes in the graphical views.
 +
 
 +
{{-}}
 +
 
 +
== Plugins changes ==
 +
 
 +
The following are the changes made in the plugins: import/export, gramplets, views, reports, tools.
  
 
=== To Do Gramplets ===
 
=== To Do Gramplets ===
Objects and the Dashboard now have a To Do gramplet, listing all the notes which have been indicated as with Note Type To Do. New To Do notes can be created directly from the gramplet.
+
 
 +
[[Image:ToDoList-sidebar-gramplet-40.png|right|thumb|200px| To Do Gramplet]]
 +
 
 +
Objects and the Dashboard now have a To Do gramplet, listing all the notes which have been indicated as with Note Type To Do. New ''To Do'' notes can be created directly from the gramplet. See [[Gramps_4.0_Wiki_Manual_-_Gramplets#To_Do_Gramplet|ToDo Gramplet]] for more details.
 +
 
 +
{{-}}
  
 
== Views ==
 
== Views ==
 +
 +
* New columns on views (private records)
 +
 
=== Fan Charts ===
 
=== Fan Charts ===
 +
 +
 +
[[Image:ChartsViewFanChart-40.png|left|thumb|300px| Fan Chart]]
 +
[[Image:ChartsViewDescendantFanChart-40.png|right|thumb|300px| Fan Chart]]
 +
 
In the Charts category (Previously called the Ancestry category), you will see two new core Charts: Fan Chart and Descendant Fan. These are two Charts that give you a good overview of a family tree. The Fan charts shows the principal parents of every individual. The Descendant Fan shows you all children, all their families, and then so on to see the ''entire'' descendant tree.  
 
In the Charts category (Previously called the Ancestry category), you will see two new core Charts: Fan Chart and Descendant Fan. These are two Charts that give you a good overview of a family tree. The Fan charts shows the principal parents of every individual. The Descendant Fan shows you all children, all their families, and then so on to see the ''entire'' descendant tree.  
  
The Fan Charts are powerfull, use the '''Configure''' button in the toolbar to investigate some posibilities:
+
The Fan Charts are powerfull, use the {{man button|Configure}} button in the toolbar to investigate some posibilities:
 
* colored filtering via filter sidebar
 
* colored filtering via filter sidebar
 
* Gradient coloring to give extra information
 
* Gradient coloring to give extra information
 
* Print to output (pdf, printer) from the toolbar
 
* Print to output (pdf, printer) from the toolbar
 +
 +
{{-}}
  
 
== Tools ==
 
== Tools ==
  
Nothing
+
New tool for refreshing given name's statistics according to gender.
 +
 
 +
== Reports ==
 +
 
 +
* More languages switcher into reports (draw, graph and textual reports), enhancements and consistency on this feature, in relation with new [[#Locales handling|locales handling]].
 +
 
 +
===Book ===
 +
 
 +
* More friendly way for accessing to book report via command line.
 +
* Improvements on OpenDocument and PDF file formats support
 +
 
 +
=== NarrativeWeb ===
 +
 
 +
A huge restructuring happened for narrative website (these changes might also happen in a point update on 3.4). It should overall be much more stable
  
 
= Under the hood changes =
 
= Under the hood changes =
Line 82: Line 138:
 
== Python based install ==
 
== Python based install ==
  
Gramps has deprecated the use of autotools for installation, and now uses a python based installation. As a user you are advised to a package installer to install Gramps. Those installing from source code can do some now with the commands :
+
Gramps has deprecated the use of autotools for installation, and now uses a python based installation. As a user you are advised to use a package installer to install Gramps. Those installing from source code can do so now with the commands :
  
 
  python setup.py build
 
  python setup.py build
 
  python setup.py install
 
  python setup.py install
  
See the INSTALL and README file for details. This means that once you installed gramps, you can use the code as a standard python module, eg:
+
See the INSTALL and README file for details. This means that once you have installed gramps, you can use the code as a standard python module, eg:
  
 
  from gramps.gen.lib.date import Date
 
  from gramps.gen.lib.date import Date
  
 
to use the date computations as used by Gramps.
 
to use the date computations as used by Gramps.
 +
 +
== Locales handling ==
 +
 +
See [[Internationalization]].
  
 
== Command Line Interface ==
 
== Command Line Interface ==
  
/
+
See [[#Code reogranization|code reorganization]] and [[#Python based install|python based installation]].
 +
 
 +
* more translated typeout
  
= Further info =
+
= Further information =
  
More informations.
+
More information.
  
 
== Roadmap ==
 
== Roadmap ==

Revision as of 06:58, 11 September 2013

Gnome-important.png Special copyright notice: All edits to this page need to be under two different copyright licenses:

These licenses allow the Gramps project to maximally use this wiki manual as free content in future Gramps versions. If you do not agree with this dual license, then do not edit this page. You may only link to other pages within the wiki which fall only under the GFDL license via external links (using the syntax: [http://www.gramps-project.org/...]), not via internal links.
Also, only use the known conventions


Previous Index Next


This section gives an overview of changes since Gramps version 3.4. These changes are also detailed later in this manual. Users of Gramps upgrading from version 3.4 are encouraged to review this section to be sure to take advantage of these new features when they start using version 4.0.

Before you upgrade

Gnome-important.png
Warning

Creating an archive alone to safeguard your data might not be appropriate before upgrading. In the unlikely event that Gramps 4.0 corrupts your database, it could also corrupt the archive. An backup of your data as outlined in this section is recommended.

Before you upgrade, make sure your family tree data is secure. The best way to do this is:

  1. Start Gramps 3.4
  2. Open your family tree
  3. Back up the family tree to the gramps xml format or the gramps xml package format (the gramps xml package includes your photographs and other media files associated with your family tree data). Backup your tree via menu Family Trees->Make Backup....
  4. Close this family tree and repeat the above steps for any other family trees you have
  5. Keep the resulting file(s) in a safe place

For more information, please review Backing up a Family Tree.


After properly safeguarding your data, proceed to install Gramps 4.0. Using your operating system's regular installation process to do this will in most cases ensure that the new Gramps 4.0 installation will not clash with your older version of Gramps. However, it may be safer to uninstall Gramps 3.4 before installing Gramps 4.0, or make sure you install Gramps 4.0 in a different location. This is always necessary if you are installing from the source code. For more information on installing Gramps 4.0, please see Downloading the latest Gramps

After you install Gramps 4.0, you can open your existing family trees and continue working. In case of problems (e.g., after a complete system upgrade), import the backup file(s) created above to recreate your family tree(s).

Gnome-important.png
Warning

Once you open a family tree in a newer version of Gramps or using a newer operating system, you generally should not try to open that database using an older version again. As always, the gramps xml format is the format to use for the interchange of your data in such cases. There are tools to repair broken databases, but they are for expert users, so avoid needing them by following the steps above before you upgrade your OS or Gramps.

Visible changes to the core

The changes from Gramps 3.4 to Gramps 4.0 have been kept to a minimum as Gramps 4.0 is a technology upgrade release, not a user feature upgrade release. Family trees in 3.4 and 4.0 are the same, so (provided the same database software is used) a family tree can be opened in both versions without upgrade or downgrade needed.

Nevertheless, some changes are visible after the migration:

The Dashboard

The Gramplet view has been renamed Dashboard. This to avoid an overload of the word Gramplet, and to make it more clear to new users what can be expected in this view

New Look and Feel

Gramps now uses GTK 3 to create the interface, so you need to set a GTK theme with the GTK theme switcher that supports GTK 3. If Gramps looks ugly after installation, this is because you use an old GTK Theme. Try out some GTK 3 themes to see which one gives you a beautifull Gramps experience. See status GTK 3 for Gramps 4.0.

Data Model

There are no changes to the data model. A .gramps xml file generated by Gramps 3.4 is identical to one generated by Gramps 4.0

See Database_Formats#Detailed_Changes for more details on internal database.

Navigator modes

Category navigator mode
Drop-Down navigator mode
Expander navigator mode

If there is more than one navigator mode installed, you can choose the navigator mode with the drop down. The navigator modes are "Category", "Drop-Down" and "Expander".


New wizards, help and bug report dialogs

Export Assistant: Start screen
Export Assistant: Choose the output format screen

Exporter, Help and Bug report dialogs have been rewritten according to Gtk3 migration.


Colors dialog

Color Preferences

A new section on Preferences dialog, which let you set the colors used for boxes in the graphical views.


Plugins changes

The following are the changes made in the plugins: import/export, gramplets, views, reports, tools.

To Do Gramplets

To Do Gramplet

Objects and the Dashboard now have a To Do gramplet, listing all the notes which have been indicated as with Note Type To Do. New To Do notes can be created directly from the gramplet. See ToDo Gramplet for more details.


Views

  • New columns on views (private records)

Fan Charts

Fan Chart
Fan Chart

In the Charts category (Previously called the Ancestry category), you will see two new core Charts: Fan Chart and Descendant Fan. These are two Charts that give you a good overview of a family tree. The Fan charts shows the principal parents of every individual. The Descendant Fan shows you all children, all their families, and then so on to see the entire descendant tree.

The Fan Charts are powerfull, use the Configure button in the toolbar to investigate some posibilities:

  • colored filtering via filter sidebar
  • Gradient coloring to give extra information
  • Print to output (pdf, printer) from the toolbar


Tools

New tool for refreshing given name's statistics according to gender.

Reports

  • More languages switcher into reports (draw, graph and textual reports), enhancements and consistency on this feature, in relation with new locales handling.

Book

  • More friendly way for accessing to book report via command line.
  • Improvements on OpenDocument and PDF file formats support

NarrativeWeb

A huge restructuring happened for narrative website (these changes might also happen in a point update on 3.4). It should overall be much more stable

Under the hood changes

Technical stuff

Python 3 support

Gramps supports Python 2.7+ and Python 3.2+ starting from 4.0. We advise to use python 3.2 if possible. To support both versions, some code now runs slower on python 2.x.

Code reogranization

Gramps now has completed the code reorganization, making the code structure of Gramps much more cleaner.

Python based install

Gramps has deprecated the use of autotools for installation, and now uses a python based installation. As a user you are advised to use a package installer to install Gramps. Those installing from source code can do so now with the commands :

python setup.py build
python setup.py install

See the INSTALL and README file for details. This means that once you have installed gramps, you can use the code as a standard python module, eg:

from gramps.gen.lib.date import Date

to use the date computations as used by Gramps.

Locales handling

See Internationalization.

Command Line Interface

See code reorganization and python based installation.

  • more translated typeout

Further information

More information.

Roadmap

Changelog


Previous Index Next